Name:           python-rstgen
Version:        25.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Pythonic API for generating reStructuredText.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.com/lino-framework/rstgen
Source:         %{pypi_source rstgen}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rstgen' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rstgen
Summary:        %{summary}

%description -n python3-rstgen %_description


%prep
%autosetup -p1 -n rstgen-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rstgen -f %{pyproject_files}


%changelog
%autochangelog